/*
    ChibiOS - Copyright (C) 2006..2017 Giovanni Di Sirio

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
*/
#ifndef HALCONF_H
#define HALCONF_H

#define _CHIBIOS_HAL_CONF_
#define _CHIBIOS_HAL_CONF_VER_7_0_

#include "mcuconf.h"

#define HAL_USE_PAL		TRUE
#define PAL_USE_CALLBACKS	TRUE
#define PAL_USE_WAIT		FALSE

#define HAL_USE_ICU		TRUE

#define HAL_USE_USB		TRUE
#define USB_USE_WAIT		FALSE


#define TK3_USBD		USBD1
#define TK3_USB_CDC		2
#define TK3_USB_GAMEPAD		1

#endif /* HALCONF_H */
